MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024539Open CASCADE[OCCT] OCCT:Visualizationpublic2014-01-17 16:282014-11-11 12:53
Reporterduv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024539: Visualization (new camera) - small objects displayed with visual artifacts
DescriptionSmall interactive object displayed with serious visual artifacts.

This behavior is due to relatively large default "distance" parameter in ortho camera and some limitations of current implementation (were done for consistency with old visualization system).

Though it can be fixed by manually adjusting "distance" parameter in the code of application, or with command "vchangecamera dist 30" in DRAW for given case.

Also perspective camera handles this case.
Steps To Reproducepload VISUALIZATION MODELING
box b 0.001 0.001 0.001
vinit View1
vclear
vsetdispmode 1
vdisplay b
vfit
TagsNo tags attached.
Test case numberbugs vis(004) bug24539
Attached Files

- Relationships
related to 0023191closedbugmaster Open CASCADE Visualization - small objects displayed with visual artifacts 

-  Notes
(0030026)
kgv (developer)
2014-07-09 13:47

Dear Danila,

please attach screenshots with the artifacts - specified test case produces no strange effects.
(0030028)
duv (developer)
2014-07-09 13:59

Dear bugmaster,

Problem seems to be fixed already. Issue may be closed.
(0030030)
bugmaster (administrator)
2014-07-09 14:14

Please create testing case
(0030192)
git (administrator)
2014-07-16 14:21

Branch CR24539 has been created by mkv.

SHA-1: 7ed22e71e0aff451947ec413b883a88ba7dcb781
(0030197)
git (administrator)
2014-07-16 15:11

Branch CR24539 has been updated by mkv.

SHA-1: ec065b75d86b7d68291eecf5798728b578484592
(0030198)
mkv (tester)
2014-07-16 15:14

Dear BugMaster,

Test case bugs/vis(004)/bug24539 was pushed to new branch CR24539 in occt git-repository.
SHA-1: ec065b75d86b7d68291eecf5798728b578484592
(0030307)
git (administrator)
2014-07-22 15:54

Branch CR24539 has been deleted by inv.

SHA-1: ec065b75d86b7d68291eecf5798728b578484592

- Related Changesets
occt: master 90cdb15d
Timestamp: 2014-07-16 11:11:41
Author: mkv
Committer: bugmaster
Details ] Diff ]
024539: Visualization (new camera) - small objects displayed with visual artifacts

Test case for issue CR24539
add - tests/bugs/vis/bug24539 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-17 16:28 duv New Issue
2014-01-17 16:28 duv Assigned To => duv
2014-01-20 09:55 kgv Relationship added related to 0024001
2014-01-20 09:55 kgv Relationship added related to 0023191
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-04-17 15:46 duv Priority normal => low
2014-04-17 15:46 duv Status new => assigned
2014-06-05 19:13 san Relationship added related to 0024606
2014-07-09 13:47 kgv Note Added: 0030026
2014-07-09 13:47 kgv Status assigned => feedback
2014-07-09 13:59 duv Note Added: 0030028
2014-07-09 13:59 duv Assigned To duv => bugmaster
2014-07-09 13:59 duv Status feedback => reviewed
2014-07-09 14:13 bugmaster Assigned To bugmaster => mkv
2014-07-09 14:14 bugmaster Note Added: 0030030
2014-07-16 14:21 git Note Added: 0030192
2014-07-16 15:11 git Note Added: 0030197
2014-07-16 15:14 mkv Note Added: 0030198
2014-07-16 15:15 mkv Test case number => bugs vis(004) bug24539
2014-07-16 15:15 mkv Assigned To mkv => bugmaster
2014-07-16 15:15 mkv Status reviewed => tested
2014-07-22 15:13 bugmaster Changeset attached => occt master 90cdb15d
2014-07-22 15:13 bugmaster Status tested => verified
2014-07-22 15:13 bugmaster Resolution open => fixed
2014-07-22 15:54 git Note Added: 0030307
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker